[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.Collapse

Performs actions needed when the specified tree node is collapsed.

## Declaration

Source position: comctrls.pp line 3596

`protected procedure TCustomTreeView.Collapse(`
`Node: TTreeNode`
`); virtual;`

## Arguments

`Node` |  | Tree node collapsed in the control.

## Description

Collapse is a method used to perform actions needed when the tree node in Node is collapsed. Collapse updates the visibility and position for the scroll bars in the control. The OnCollapsed event handler is signalled (when assigned) for the tree node in Node.

No actions are performed in the method when the component is being freed.

Collapse is called when the Collapse method in the TTreeNode instance is called.

See Expand for the actions performed when a tree node is expanded.

## See also

TCustomTreeView.Expand |  | Expands the specified tree node and updates the scroll bars for the control.
TTreeNode.Expanded |  | True if the node has been expanded, False when collapsed.
TTreeNode.Collapse |  | Collapses the current tree node, and optionally collapses any descendent nodes.